Temporarily promotes a load's visibility to carriers for a fixed 30-minute window. Cost $1Try it: Here
Boost a Posted Load
Boost a posted load on the load board
POST /loadmanagement/v2/load/boost temporarily promotes a load's visibility to carriers for a fixed 30-minute window. Cost $1 per load Authorization bearer token Content Type application/json URL Params None Body Params Load Object curl --request POST \ --url https://api-int.truckstop.com/loadmanagement/v2/load/boost \ --header 'accept: application/json' \ --header 'authorization: Bearer <access token>' \ --header 'content-type: application/json' \ --data ' { "loadId": "3fa85f64-5717-4562-b3fc-2c963f66afa6" } '{ "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "loadId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "userId": "d4e5f6a7-b8c9-0123-defa-456789012345", "durationMinutes": 30, "boostedFrom": "2026-03-03T14:00:00Z", "boostedTo": "2026-03-03T14:30:00Z", "createdDate": "2026-03-03T14:00:00Z", "updatedDate": "2026-03-03T14:00:00Z", "unboostedDate": null }